body {
    background-image: url('https://d2v9y0dukr6mq2.cloudfront.net/video/thumbnail/VvGXRm-hlilcbm235/abstract-background-with-speed-effect_hhgeqpppkg_thumbnail-full01.png');
    height:5000px;
}
/*
 * Page settings and important resets
 */
 .widget * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;    
    box-sizing: border-box;
}

/*
 * Generic styles
 */
.uppercase { text-transform: uppercase; }
.lowercase { text-transform: lowercase; }
.relative { position: relative; }
.ripple {
    position: relative;
    overflow: hidden;
    transform: translate3d(0, 0, 0);
  }
  
  .ripple:after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
    background-image: radial-gradient(circle, #fff 10%, transparent 10.01%);
    background-repeat: no-repeat;
    background-position: 50%;
    transform: scale(10, 10);
    opacity: 0;
    transition: transform .5s, opacity 1s;
  }
  
  .ripple:active:after {
    transform: scale(0, 0);
    opacity: .3;
    transition: 0s;
  }

/*
 * Widget
 */
.widget {
    font-family: Roboto, Arial, Helvetica, sans-serif;
    position: fixed;
    bottom: 16px;
    right: 16px;
    background-color:#2a5886;
    padding:20px;
    border-radius: 16px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.24), 0 1px 5px 0 rgba(0, 0, 0, 0.22), 0 3px 1px -2px rgba(0, 0, 0, 0.4);
    opacity: 1;
    transition: .3s;
    transition-property: visibility, transform, opacity;
    transition-delay: .2s;
}

.widget.closed {
    opacity: 0;
    visibility: hidden;
    transition-property: opacity, transform, visibility;
    transition-delay: .1s;
    transform: translateY(50px);
}

/*
 * Widget close button
 */
.widget__button-close {
    position: absolute;
    top: 16px;
    right: 16px;
    padding: 0px;
    cursor: pointer;
    border:4px solid #749cbd;
    border-radius: 32px;
    width:24px;
    height:24px;
    background-color: transparent;
    box-shadow: 0px 2px 4px rgba(0,0,0,0.25);
    color:white;
    font-weight: bolder;
    font-size: 16px;
    transition: .3s;
    outline: none;
}

    .widget__button-close:hover {
        transform:scale(1.05,1.05);
        border-color: #84accd;
        box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12), 0 5px 5px -3px rgba(0, 0, 0, 0.4);
    }
    .widget__button-close:active {
        transform:scale(0.95,0.95);
        border-color: #648cad;
        box-shadow: 0 -2px 4px 0 rgba(0, 0, 0, 0.24), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    }


/*
 * Widget Titles/Subtitle
 */
.widget__title {
    color: white;
    font-weight: bold;
}

.widget__subtitle {
    font-size: 0.85em;
    color: white;
}

.widget__form-row {
    height:80px;
}

/*
 * Widget Fields
 */
.widget__field {
    font-size: 13.333px;
    font-weight: bold;
    background-color: #3c6899;
    border:1px solid #3c6899;
    color: white;
    margin:5px 0px;
    padding:20px;
    width: 100%;
    border-radius: 3px;
}

    input.widget__field, 
    input.widget__field {
        background-color: #3c6899 !important;
        color: white !important;
    }

    .widget__field::placeholder {
        color: #e2ecfb;
        text-transform: initial;
    }
    
    .widget__field:-ms-input-placeholder {
        color: #e2ecfb;
    }
    
    .widget__field::-ms-input-placeholder {
        color: #e2ecfb;
    }

    .widget__field option {
        font-size: 1.1em;
    }


/*
 * Widget call button
 */
.widget__button-call__holder {
    margin-top:24px;
    margin-bottom:16px;
    text-align: center;
}

.widget__button-call {
    color: white;
    font-weight: bold;
    background-color: #50c1e9;
    border: none;
    padding: 12px 24px;
    border-radius: 4px;
    cursor: pointer;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    transition: .3s;
    outline: none;
}

    .widget__button-call:hover {
        background-color:#60d1f9;
        box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12), 0 5px 5px -3px rgba(0, 0, 0, 0.4);
    }

    .widget__button-call:active {
        transform:scale(0.95,0.95);
        background-color:#40b1d9;
        box-shadow: 0 -2px 4px 0 rgba(0, 0, 0, 0.24), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    }

    .widget__button-call:disabled {
        cursor: inherit;
        background-color: lightgray;
        color: white;
        box-shadow: -2px 0px 2px rgba(0,0,0,0.25);
    }


/*
 * Widget-fab
 */
 .widget-fab {
    height: 57px;
    position: fixed;
    bottom: 16px;
    right: 16px;
    background-color:#2a5886;
    border-radius: 16px;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.24), 0 1px 5px 0 rgba(0, 0, 0, 0.22), 0 3px 1px -2px rgba(0, 0, 0, 0.4);
    cursor: pointer;
    opacity: 0;
    transition: .3s;
    transform: translateX(100px);
    transition-property: box-shadow, opacity, transform, visibility;
    visibility: hidden;
}

    .widget-fab.closed {
        transition: .3s;
        transition-delay: .2s;
        transition-property: box-shadow, visibility, transform, opacity;
        opacity: 1;
        visibility: visible;
        transform: translateY(0px);
    }

    .widget-fab:hover {
        box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12), 0 5px 5px -3px rgba(0, 0, 0, 0.4);
    }

    .widget-fab:active {
        box-shadow: 0 -2px 4px 0 rgba(0, 0, 0, 0.24), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
    }

    .widget-fab__image {
        transition:.3s;
    }


/* 
 * Validations
 */

.invalid-field.dirty {
    border-color: #ffacac;
    outline: none;
}

.validation-message {
    color:#ffacac;
    padding:0px 20px;
    font-size: 0.7em;
    visibility: hidden;
}


/*
 * Mobile device resizes
 */
@media only screen and (max-width:599px) {
   .widget {
       top: auto !important;
       bottom: 16px !important;
       left:5% !important;
       right: auto !important;
       width:80%;
   }

   .widget-fab {
        width: 100%;
        left: 0 !important;
        right: auto !important;
        text-align: center;
        top: auto !important;
        bottom: 0 !important;
        border-radius: 0;
        padding: 10px 0px;
        height: 57px;
   }
}

.spinner-container {
    position: absolute;
    top: -5px;
    right: 20px;
    display: none;
    animation: fadein 1s;
}

    @keyframes fadein {
        0% {
            opacity:0;
        }
        100% {
            opacity:1;
        }
    }


.spinner {
    display: inline-block;
    position: relative;
    width: 44px;
    height: 44px;
  }
  .spinner div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 31px;
    height: 31px;
    margin: 6px;
    border: 4px solid #fff;
    border-radius: 50%;
    animation: spinner 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #fff transparent transparent transparent;
  }
  .spinner div:nth-child(1) {
    animation-delay: -0.45s;
  }
  .spinner div:nth-child(2) {
    animation-delay: -0.3s;
  }
  .spinner div:nth-child(3) {
    animation-delay: -0.15s;
  }
  @keyframes spinner {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  

.widget__message__holder {
    overflow: hidden;
    height:0px;
    opacity: 0;
    transition: .3s;
}
.widget__message__holder.open {
    height: 27px;
    opacity: 1;
}


.widget__message {
    background-color: rgb(93, 210, 93);
    font-size: 0.85em;
    color: white;
    padding: 4px 8px;
    border-radius: 3px;
    transition: .3s;
    text-align: center;
    transition-property: height, background-color;
}


.widget__message__holder.error .widget__message {
    background-color: rgb(210, 93, 93);
}